com.trendmicro.ds.appcontrol.rest.object

## Enum AppControlPolicyParameters.ActivationState

- java.lang.Object
- - java.lang.Enum<AppControlPolicyParameters.ActivationState>
  - - com.trendmicro.ds.appcontrol.rest.object.AppControlPolicyParameters.ActivationState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AppControlPolicyParameters.ActivationState>
  Enclosing class:
    AppControlPolicyParameters

      public static enum AppControlPolicyParameters.ActivationState
      extends java.lang.Enum<AppControlPolicyParameters.ActivationState>

  Application control activation state.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INHERIT` Application control state is inherited from the parent policy.
    `OFF` Application control is disabled.
    `ON` Application control is enabled.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AppControlPolicyParameters.ActivationState` | `fromValue(int value)`
    `static AppControlPolicyParameters.ActivationState` | `fromValue(java.lang.String value)`
    `int` | `getIntValue()`
    `java.lang.String` | `getValue()`
    `static AppControlPolicyParameters.ActivationState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AppControlPolicyParameters.ActivationState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ON

          public static final AppControlPolicyParameters.ActivationState ON

      Application control is enabled.

    - #### OFF

          public static final AppControlPolicyParameters.ActivationState OFF

      Application control is disabled.

    - #### INHERIT

          public static final AppControlPolicyParameters.ActivationState INHERIT

      Application control state is inherited from the parent policy.

  - ### Method Detail

    - #### values

          public static AppControlPolicyParameters.ActivationState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AppControlPolicyParameters.ActivationState c : AppControlPolicyParameters.ActivationState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AppControlPolicyParameters.ActivationState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

    - #### getIntValue

          public int getIntValue()

    - #### fromValue

          public static AppControlPolicyParameters.ActivationState fromValue(java.lang.String value)

    - #### fromValue

          public static AppControlPolicyParameters.ActivationState fromValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.